%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		qmdnsengine
Version:	0.1.0
Release:	%mkrel 5
Summary:	Multicast DNS library for Qt applications
Group:		Development/KDE and Qt
License:	MIT
URL:		https://nitroshare.net
Source0:	https://github.com/nitroshare/qmdnsengine/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
This library provides an implementation of multicast DNS as
per RFC 6762.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
This library provides an implementation of multicast DNS as
per RFC 6762.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.1.0-5.mga8
+ Revision: 1659492
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1525003
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1384225
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1300659
- Mageia 7 Mass Rebuild

* Mon Oct 23 2017 daviddavid <daviddavid> 0.1.0-1.mga7
+ Revision: 1173186
- initial package qmdnsengine

